# pandas.api.types.is_string_dtype

`pandas.api.types.``is_string_dtype`(arr_or_dtype)

  Check whether the provided array or dtype is of the string dtype.

  Parameters:

  arr_or_dtype : array-like

  > The array or dtype to check.

  Returns: | boolean : Whether or not the array or dtype is of the string dtype.

  Examples

      >>> is_string_dtype(str)
      True
      >>> is_string_dtype(object)
      True
      >>> is_string_dtype(int)
      False
      >>>
      >>> is_string_dtype(np.array(['a', 'b']))
      True
      >>> is_string_dtype(pd.Series([1, 2]))
      False

Scroll To Top